Game Client Version Mismatch Error Message

General Discussion
Prev 1 7 8 9 26 Next
Well I am still getting the same error, but I clicked on SCI and it allowed me to login, even though it still said the region error.
I am also getting the region mismatch error. This is getting extremely frustrating. I was playing the beta the day before the patch and then after i downloaded the patch i was unable to log into hots. Aldrexus, i tried to just hit okay and log in normally but the error still pops up. Please help!
If you are unable to log into the Wings of Liberty, please reply to this thread and post the complete error message you are receiving. If you are seeing the "game client version mismatch" error, are you able to log in after pressing "OK"? If not, what happens when you attempt to log in?

We understand that several of you posting in this thread are unable to log into the Heart of the Swarm beta. Unfortunately, because this is something we are still in the process of investigating, we are unable to predict exactly how long it will take to implement a resolution. While we do not have any additional information to provide at this time, we will update you should any new information become available.
I´m receiving the error message on WoL but I´m able to log in, o HotS I´m receiving the initial error and I still can´t log in (both SC#4 and SC#5, mine is not #1 and #2)
I want to know why I don't even get an option to select between SCII-1 and SCII-2. My beta just says straight up no and gives me no options.
For the record, I was getting (yesterday) the 'game client version mismatch' with HotS, but I was still able to log in and play. Just now I logged in without receiving that error message.

Then I logged into WoL and I received the same 'game client version mismatch' error, but once again I was still able to log in anyway.
I am still getting this error... ugh i hope it is fixed before the end of the weekend, i had plans to play hots
In WoL, I get the original error

"LOGIN ERROR
Game client mismatch with selected region.
The currently selected region may not be updated..."

before the login screen. I click OK and the login screen shows, normal except "us" appears in small white letters a little above the login box. From there I can log in normally. I didn't try WoL last night.

In heart of the swarm, I did not get that error last night, but I get it now. The "us" does not appear. After trying to log in, I get the second error

"INVALID LOGIN
Your account has no game accounts that can be used in this region. Are you using the correct client?"

After clicking OK, it returns me to the login screen. Last night I did not have beta flagged until a little after this error was reported and then I received this error when trying to log in.
Its called a beta for a reason. I pre ordered the game the other day and have not been able to play at all. It sucks but there isn't much we can do. If your craving war that badly play Wol. Have some patience and let them resolve it.
I am in the exact same situation as Kiwimancy. I can play Wings of Liberty after clicking ok on the "Game Client Mismatch" but the us appears. In HotS I don't see the white us any more and I get the error of "Your account has no game accounts."
If you are unable to log into the Wings of Liberty, please reply to this thread and post the complete error message you are receiving. If you are seeing the "game client version mismatch" error, are you able to log in after pressing "OK"? If not, what happens when you attempt to log in?

We understand that several of you posting in this thread are unable to log into the Heart of the Swarm beta. Unfortunately, because this is something we are still in the process of investigating, we are unable to predict exactly how long it will take to implement a resolution. While we do not have any additional information to provide at this time, we will update you should any new information become available.


I was able to log in HoTS and the problem with the lack of access to the beta forum seems to have been fixed as well, thank you.
I have owned a Collector's edition of Wings of Liberty and have pre-purchased Heart of the Swarm. Now I had a HotS beta account shown in my summary. My Hots has been updated to 2.0.3.24764 last night.

Currently, I CAN NOT log in HotS beta, the message is "Your account has no game accounts that can be used in this region. Are you using the correct client?"

However, I CAN log in my WoL game.

I own only enUS clients in my computer both for WoL retail and HotS beta.
Before the patch I was play with account linked with [SCII-1] and my Heart of the Swarm account linked to [SCII-1] but after the patch I could not login to beta with the account linked with [SCII-1] show me this:"your account has no game accounts that can be used in this region are you using the correct client?". but I can login with the account linked with [SCII-2] I start from scratch but the problem is when the game release I will start from the scratch again?or maybe I will not able login at all! because my Heart of the Swarm account linked to [SCII-1] not [SCII-2] ,(I have two beta accounts one linked with [SCII-1] and the other linked with [SCII-2] )
maybe this information will help with the problem investigation.
How about Blizzard goes to our accounts, takes away our beta, and gives it back again since it seems to be issue not with the client but with account access to beta.
replying to this thread because i keep getting same message as everybody else about using the correct game client
I can log in iN WoL, but it gets region dismatch error when it boots up the game. And still there is the "no accounts in this region" bug on beta.
01/26/2013 09:45 AMPosted by PiRaNHa
How about Blizzard goes to our accounts, takes away our beta, and gives it back again since it seems to be issue not with the client but with account access to beta.


they wouldnt even have to do that, all they would have to do is email us a beta key to add to our accounts. Its only flagged beta access players that have this problem, people who got keys from amazon or gamestop are just fine and playing now.
01/26/2013 10:24 AMPosted by Kothril
they wouldnt even have to do that, all they would have to do is email us a beta key to add to our accounts. Its only flagged beta access players that have this problem, people who got keys from amazon or gamestop are just fine and playing now.


That doesn't mean it will resolve the issue. Since we can't really see what's going on it could be a side effect of the patch itself or a problem in the flagging process. Either way we'll have to wait and see.
"temporary fix"

so many people already playing beta, why shouldn't we be able to play too
while they fixing problem.

Join the Conversation

Return to Forum